ghc-7.8.4: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell98

X86.Cond

Synopsis

- data Cond
  - = ALWAYS
  - | EQQ
  - | GE
  - | GEU
  - | GTT
  - | GU
  - | LE
  - | LEU
  - | LTT
  - | LU
  - | NE
  - | NEG
  - | POS
  - | CARRY
  - | OFLO
  - | PARITY
  - | NOTPARITY
- condUnsigned :: Cond -> Bool
- condToSigned :: Cond -> Cond
- condToUnsigned :: Cond -> Cond
- maybeFlipCond :: Cond -> Maybe Cond

# Documentation

data Cond

Constructors

ALWAYS |
EQQ |
GE |
GEU |
GTT |
GU |
LE |
LEU |
LTT |
LU |
NE |
NEG |
POS |
CARRY |
OFLO |
PARITY |
NOTPARITY |

Instances

Eq Cond |

condUnsigned :: Cond -> Bool

condToSigned :: Cond -> Cond

condToUnsigned :: Cond -> Cond

maybeFlipCond :: Cond -> Maybe Cond

`maybeFlipCond c` returns `Just c'` if it is possible to flip the arguments to the conditional `c`, and the new condition should be `c'`.